summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2011-07-14 21:16:42 +0000
committerFabian Affolter <mail@fabian-affolter.ch>2011-11-27 16:05:36 +0100
commit4de2709402d7d738df8e78067a67413f947a91c8 (patch)
tree2b47ecd5272d1edfab539abc084d938a0c507047 /testing
parent8bf0ccd6a1575c81cbf9e0a13e6d821d44caac8d (diff)
downloadaports-4de2709402d7d738df8e78067a67413f947a91c8.tar.bz2
aports-4de2709402d7d738df8e78067a67413f947a91c8.tar.xz
Initial APKBUILD for pylint
Package description: Pylint is a python tool that checks if a module satisfies a coding standard. Pylint is similar to PyChecker but offers more features, like checking line-code's length, checking if variable names are well-formed according to your coding standard, or checking if declared interfaces are truly implemented, and much more. The big advantage with Pylint is that it is highly configurable, customizable, and you can easily write a small plugin to add a personal feature.
Diffstat (limited to 'testing')
-rw-r--r--testing/pylint/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/pylint/APKBUILD b/testing/pylint/APKBUILD
new file mode 100644
index 000000000..bb524faa5
--- /dev/null
+++ b/testing/pylint/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=pylint
+pkgver=0.23.0
+pkgrel=0
+pkgdesc="Analyzes Python code looking for bugs and signs of poor quality"
+url="http://pypi.python.org/pypi/pylint"
+arch="noarch"
+license="GPL2+"
+depends="python py-logilab-astng"
+depends_dev=""
+makedepends="python-dev py-logilab-astng"
+install=""
+subpackages="$pkgname-doc"
+source="http://pypi.python.org/packages/source/p/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+doc() {
+ # The man page is not picked-up automatically
+ mkdir -p "$subpkgdir"/usr/share/man/man1 || return 1
+ mv "$_builddir"/man/*.1 "$subpkgdir"/usr/share/man/man1/ || return 1
+}
+
+md5sums="f010eee3289b1af77cd8e8e45fb72829 pylint-0.23.0.tar.gz"